using BackendTutorial.EventHandlers;
using BackendTutorial.Events;
using Infrastructure.EventBus;
using Infrastructure.Extensions;

var builder = WebApplication.CreateBuilder(args);
builder.AddDefaultInfrastructure<long>();
builder.Services.AddRollerRabbitMQEventBus(builder.Configuration);
builder.Services.AddTransient<HelloWorldEventHandler>();

var app = builder.Build();
app.Services.SubscribeEvent<HelloWorldEvent, HelloWorldEventHandler>();
app.UseDefaultInfrastructure();